New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

The "shape" theme object does not seem to be defined in the default theme #13195

Closed
m-a-r-c-e-l-i-n-o opened this Issue Oct 10, 2018 · 4 comments

Comments

3 participants
@m-a-r-c-e-l-i-n-o

m-a-r-c-e-l-i-n-o commented Oct 10, 2018

  • This is not a v0.x issue.
  • I have searched the issues of this repository and believe that this is not a duplicate.

Expected Behavior

The "shape" theme object would be defined in the default theme.

Current Behavior

The "shape" theme object is not defined in the default theme and will throw errors regarding its absence.

Steps to Reproduce

Link:

  1. Install Material UI
  2. Try to use the "shape" object in the default theme (i.e. theme.shape.borderRadius)

Context

Your Environment

Tech Version
@Material-UI/Core ^3.2.0
@Material-UI/Icons ^3.0.1
React ^16.4.0
@oliviertassinari

This comment has been minimized.

Member

oliviertassinari commented Oct 10, 2018

@jeremy-coleman

This comment has been minimized.

jeremy-coleman commented Oct 14, 2018

https://github.com/jeremy-coleman/mui-fab-demo/blob/master/src/stores/UiStore.ts Has a fix in the theme definition if youre still having a problem

@oliviertassinari

This comment has been minimized.

Member

oliviertassinari commented Oct 14, 2018

Could it be a TypeScript issue?

@m-a-r-c-e-l-i-n-o

This comment has been minimized.

m-a-r-c-e-l-i-n-o commented Oct 14, 2018

Not sure if there is an actual issue here beyond what I experienced but just wanted to mention that my problem was related to versioning. Seems like the “shape” object is not present in the default theme of one of the older versions, which I had installed, and I was trying to use a component targeted at the new version. Installing the latest version solved my issue.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment